aes_context     GROUP,TYPE  !typedef struct {
erk     UNSIGNED,DIM(64)    !    uint32 erk[64];     /* encryption round keys */
drk     UNSIGNED,DIM(64)    !    uint32 drk[64];     /* decryption round keys */
nr      SIGNED              !    int nr;             /* number of rounds */
                END     !}  aes_context;

!In looking at the way aes_set_key() is called you'll see it can be passed these 3 values for it's last parm
!so I made them equates to make it easier to call them

SetKeyBits_Low   EQUATE(128)   !for call to aes_set_key
SetKeyBits_Mid   EQUATE(192)
SetKeyBits_High  EQUATE(256)


    MAP
         MODULE('aes.c')    ! add ,name('_'),raw

    !int  aes_set_key( aes_context *ctx, uint8 *key, int nbits );
    !void aes_encrypt( aes_context *ctx, uint8 input[16], uint8 output[16] );
    !void aes_decrypt( aes_context *ctx, uint8 input[16], uint8 output[16] );

            aes_set_key( *aes_context ctx, *STRING CryptKkey, signed SetKeyBits ),signed,name('_aes_set_key'),raw  !0=Worked
            aes_set_key( *aes_context ctx, STRING CryptKkey, signed SetKeyBits ),signed,name('_aes_set_key'),raw  !0=Worked

            aes_encrypt( *aes_context ctx, *STRING In16Bytes, *STRING Out16Bytes ),name('_aes_encrypt'),raw
            aes_decrypt( *aes_context ctx, *STRING In16Bytes, *STRING Out16Bytes ),name('_aes_decrypt'),raw

         END
    END

!CompileMyCCode CLASS,TYPE,LINK('AES.c')        !if you do not have ABC Defines in your project you can do this, although below still works
!#pragma define(_ABCDllMode_=>0)
!#pragma define(_ABCLinkMode_=>1)
CompileMyCCode CLASS,TYPE,LINK('AES.c',_ABCLinkMode_),DLL(_ABCDllMode_)
               END

   ! PRAGMA('project(#compile AES.c)')  !works in C6
   ! PRAGMA ('compile (AES.c)')         !also works in C6
