! #ifndef _MD5_H
! #define _MD5_H
! 
! #ifndef uint8
! #define uint8  unsigned char
! #endif
! 
! #ifndef uint32
! #define uint32 unsigned long int
! #endif

md5_context     GROUP,TYPE      !typedef struct
total   UNSIGNED,DIM(2)         !    uint32 total[2];
state   UNSIGNED,DIM(4)         !    uint32 state[4];
buffer  BYTE,DIM(64)            !    uint8 buffer[64];
                END             ! md5_context;

!md5_finish has an OUT that must be a STRING(16) or Array of 16 bytes so make it a GROUP to insure proper use
md5_Digest16    GROUP,TYPE
Digest              STRING(16)
DigestArray         BYTE,DIM(16),OVER(Digest)
                END

  MAP
    MODULE('md5.c')
!void md5_starts( md5_context *ctx );
!void md5_update( md5_context *ctx, uint8 *input, uint32 length );
!void md5_finish( md5_context *ctx, uint8 digest[16] );

         md5_starts(*md5_context ctx ),RAW,NAME('_md5_starts')
         md5_update(*md5_context ctx, *STRING input, UNSIGNED length ),RAW,NAME('_md5_update')
         md5_finish(*md5_context ctx, *md5_Digest16 Digest16),RAW,NAME('_md5_finish')   !uint8 digest[16] );
    END
  END

CompileMyCCode CLASS,TYPE,LINK('MD5.c',_ABCLinkMode_),DLL(_ABCDllMode_)
               END

!#endif /* md5.h */